#### buffer (25 of 32 overloads)

Create a new non-modifiable buffer that represents the given POD vector.

    template<
        typename PodType,
        typename Allocator>
    const_buffer buffer(
        const std::vector< PodType, Allocator > & data);

###### Return Value

A `const_buffer` value equivalent to:

    const_buffer(
        data.size() ? &data[0] : 0,
        data.size() * sizeof(PodType));

###### Remarks

The buffer is invalidated by any vector operation that would also invalidate iterators.